import { readFile } from 'fs/promises';
import { JavaScriptObfuscator } from './src/JavaScriptObfuscatorFacade';

(async () => {
  console.log(
    JavaScriptObfuscator.obfuscate(await readFile('./demo.js', 'utf-8'), {
      compact: false,
      stringArray: false,
      simplify: false,
    }).getObfuscatedCode()
  );
})();
